package com.casic.missiles.service;

import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.flowable.AllApproveDTO;
import com.casic.missiles.dto.flowable.ToBeApprovedDTO;

import java.util.List;

/**
 * @Description: 公共审批功能service
 * @Author: wangpeng
 * @Date: 2022/12/21 11:31
 */
public interface IBaseApprovalService {

    ReturnDTO processSubmit(String formId, Long id);

    List<ToBeApprovedDTO>  getToBeApprovedList(String formId);

    List<String> getInApprovedList(String formId);

    List<String> getPassedList(String formId);

    List<String> getFailedList(String formId);

    List<String> getCanceledList(String formId);

    List<String> getFailedRejectList(String formId);

    List<AllApproveDTO> getAllList(String formId);

    void failUpdate(String processId);
}
